Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UICalendar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UICalendar

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder, org.ajax4jsf.component.AjaxComponent

Direct Known Subclasses:
  HtmlCalendar

    public abstract class UICalendar

extends javax.faces.component.UIInput
implements org.ajax4jsf.component.AjaxComponent

JSF component class

Field Summary
`static java.lang.String` | `AJAX_MODE`
`static java.lang.String` | `CLIENT_MODE`
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`UICalendar()`

Method Summary
`void` | `addCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)`
`void` | `broadcast(javax.faces.event.FacesEvent event)`
`java.util.Date` | `convertCurrentDate(java.lang.String currentDateString)`
`java.util.Date` | `getAsDate(java.lang.Object date)`
`java.util.Locale` | `getAsLocale(java.lang.Object locale)`
`abstract java.lang.String` | `getBoundaryDatesMode()`
`abstract java.lang.String` | `getButtonLabel()`
`java.util.Calendar` | `getCalendar()`
`abstract java.lang.String` | `getCellHeight()`
`abstract java.lang.String` | `getCellWidth()`
`java.util.Date` | `getConvertedValue(javax.faces.context.FacesContext context, java.lang.String currentDateString)`
`abstract java.lang.Object` | `getCurrentDate()`
`abstract javax.el.MethodExpression` | `getCurrentDateChangeListener()`
`org.richfaces.event.CurrentDateChangeListener[]` | `getCurrentDateChangeListeners()`
`java.util.Date` | `getCurrentDateOrDefault()`
`abstract org.richfaces.model.CalendarDataModel` | `getDataModel()`
`abstract java.lang.String` | `getDatePattern()`
`abstract java.lang.String` | `getDayStyleClass()`
`protected int` | `getDefaultFirstWeekDay()`
`protected java.util.Locale` | `getDefaultLocale()`
`protected int` | `getDefaultMinDaysInFirstWeek()`
`protected java.util.Date` | `getDefaultPreloadBegin(java.util.Date date)`
`protected java.util.Date` | `getDefaultPreloadEnd(java.util.Date date)`
`abstract java.lang.Object` | `getDefaultTime()`
`protected java.util.TimeZone` | `getDefaultTimeZone()`
`protected java.lang.Object` | `getDefaultValueOfDefaultTime()` Returns default value of "defaultTime" attribute
`abstract java.lang.String` | `getDirection()`
`int` | `getFirstWeekDay()` Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France.
`java.util.Date` | `getFormattedDefaultTime()` Returns default time as a `Date` value.
`abstract int` | `getHorizontalOffset()`
`abstract java.lang.String` | `getIsDayEnabled()`
`abstract java.lang.String` | `getJointPoint()`
`abstract java.lang.Object` | `getLocale()`
`int` | `getMinDaysInFirstWeek()` Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1.
`abstract java.lang.String` | `getMode()`
`abstract java.lang.Object` | `getMonthLabels()`
`abstract java.lang.Object` | `getMonthLabelsShort()`
`java.lang.Object` | `getPreload()`
`java.util.Date[]` | `getPreloadDateRange()`
`abstract java.lang.Object` | `getPreloadDateRangeBegin()`
`abstract java.lang.Object` | `getPreloadDateRangeEnd()`
`java.lang.String` | `getPreparedDefaultTime()` Returns hours and minutes from "defaultTime" attribute as a String with special format: hours:"value_hours",minutes:"value_minutes"
`abstract java.lang.String` | `getTabIndex()`
`abstract java.util.TimeZone` | `getTimeZone()`
`abstract java.lang.String` | `getTodayControlMode()`
`java.lang.Object` | `getTooltip(java.util.Date date)`
`abstract java.lang.String` | `getToolTipMode()`
`abstract int` | `getVerticalOffset()`
`abstract java.lang.Object` | `getWeekDayLabels()`
`abstract java.lang.Object` | `getWeekDayLabelsShort()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isPopup()`
`abstract boolean` | `isResetTimeOnDateSelect()`
`abstract boolean` | `isShowApplyButton()`
`abstract boolean` | `isShowFooter()`
`abstract boolean` | `isShowHeader()`
`abstract boolean` | `isShowWeekDaysBar()`
`abstract boolean` | `isShowWeeksBar()`
`java.util.Locale` | `parseLocale(java.lang.String localeStr)` Parse Locale from String.
`void` | `removeCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`abstract void` | `setBoundaryDatesMode(java.lang.String boundaryDatesMode)`
`abstract void` | `setButtonLabel(java.lang.String buttonLabel)`
`abstract void` | `setCellHeight(java.lang.String cellHeight)`
`abstract void` | `setCellWidth(java.lang.String cellWidth)`
`abstract void` | `setCurrentDate(java.lang.Object date)`
`abstract void` | `setCurrentDateChangeListener(javax.el.MethodExpression scrollerListener)`
`abstract void` | `setDataModel(org.richfaces.model.CalendarDataModel dataModel)`
`abstract void` | `setDatePattern(java.lang.String pattern)`
`abstract void` | `setDayStyleClass(java.lang.String DayStyleClass)`
`abstract void` | `setDefaultTime(java.lang.Object defaultTime)`
`abstract void` | `setDirection(java.lang.String direction)`
`abstract void` | `setDisabled(boolean disabled)`
`void` | `setFirstWeekDay(int __firstWeekDay)` Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France.
`abstract void` | `setHorizontalOffset(int horizontalOffset)`
`abstract void` | `setIsDayEnabled(java.lang.String isDayEnabled)`
`abstract void` | `setJointPoint(java.lang.String jointPoint)`
`abstract void` | `setLocale(java.lang.Object locale)`
`void` | `setMinDaysInFirstWeek(int __minDaysInFirstWeek)` Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1.
`abstract void` | `setMode(java.lang.String mode)`
`abstract void` | `setMonthLabels(java.lang.Object labels)`
`abstract void` | `setMonthLabelsShort(java.lang.Object labels)`
`abstract void` | `setPopup(boolean popup)`
`abstract void` | `setPreloadDateRangeBegin(java.lang.Object date)`
`abstract void` | `setPreloadDateRangeEnd(java.lang.Object date)`
`abstract void` | `setResetTimeOnDateSelect(boolean resetTimeOnDateSelect)`
`abstract void` | `setShowApplyButton(boolean showApplyButton)`
`abstract void` | `setShowFooter(boolean showScrollerBar)`
`abstract void` | `setShowHeader(boolean showScrollerBar)`
`abstract void` | `setShowWeekDaysBar(boolean showWeekDaysBar)`
`abstract void` | `setShowWeeksBar(boolean showWeeksBar)`
`abstract void` | `setTabIndex(java.lang.String tabIndex)`
`abstract void` | `setTimeZone(java.util.TimeZone timeZone)`
`abstract void` | `setTodayControlMode(java.lang.String todayControlMode)`
`abstract void` | `setToolTipMode(java.lang.String toolTipMode)`
`abstract void` | `setVerticalOffset(int verticalOffset)`
`abstract void` | `setWeekDayLabels(java.lang.Object labels)`
`abstract void` | `setWeekDayLabelsShort(java.lang.Object labels)`
`void` | `updateCurrentDate(javax.faces.context.FacesContext context, java.lang.Object currentDate)`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getFamily, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.component.AjaxComponent
`getData, getEventsQueue, getFocus, getOnbeforedomupdate, getOncomplete, getProcess, getRequestDelay, getReRender, getSimilarityGroupingId, getStatus, getTimeout, isAjaxSingle, isBypassUpdates, isIgnoreDupResponses, isLimitToList, setAjaxSingle, setBypassUpdates, setData, setEventsQueue, setFocus, setIgnoreDupResponses, setLimitToList, setOnbeforedomupdate, setOncomplete, setProcess, setRequestDelay, setReRender, setSimilarityGroupingId, setStatus, setTimeout`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### AJAX_MODE

    public static final java.lang.String AJAX_MODE

See Also:
  Constant Field Values

### CLIENT_MODE

    public static final java.lang.String CLIENT_MODE

See Also:
  Constant Field Values

Constructor Detail

### UICalendar

    public UICalendar()

Method Detail

### getLocale

    public abstract java.lang.Object getLocale()

### setLocale

    public abstract void setLocale(java.lang.Object locale)

### getTimeZone

    public abstract java.util.TimeZone getTimeZone()

### setTimeZone

    public abstract void setTimeZone(java.util.TimeZone timeZone)

### getPreloadDateRangeBegin

    public abstract java.lang.Object getPreloadDateRangeBegin()

### setPreloadDateRangeBegin

    public abstract void setPreloadDateRangeBegin(java.lang.Object date)

### getPreloadDateRangeEnd

    public abstract java.lang.Object getPreloadDateRangeEnd()

### setPreloadDateRangeEnd

    public abstract void setPreloadDateRangeEnd(java.lang.Object date)

### getCurrentDate

    public abstract java.lang.Object getCurrentDate()

### setCurrentDate

    public abstract void setCurrentDate(java.lang.Object date)

### getDataModel

    public abstract org.richfaces.model.CalendarDataModel getDataModel()

### setDataModel

    public abstract void setDataModel(org.richfaces.model.CalendarDataModel dataModel)

### getDatePattern

    public abstract java.lang.String getDatePattern()

### setDatePattern

    public abstract void setDatePattern(java.lang.String pattern)

### getDefaultTime

    public abstract java.lang.Object getDefaultTime()

### setDefaultTime

    public abstract void setDefaultTime(java.lang.Object defaultTime)

### isResetTimeOnDateSelect

    public abstract boolean isResetTimeOnDateSelect()

### setResetTimeOnDateSelect

    public abstract void setResetTimeOnDateSelect(boolean resetTimeOnDateSelect)

### getMonthLabels

    public abstract java.lang.Object getMonthLabels()

### setMonthLabels

    public abstract void setMonthLabels(java.lang.Object labels)

### getMonthLabelsShort

    public abstract java.lang.Object getMonthLabelsShort()

### setMonthLabelsShort

    public abstract void setMonthLabelsShort(java.lang.Object labels)

### getWeekDayLabels

    public abstract java.lang.Object getWeekDayLabels()

### setWeekDayLabels

    public abstract void setWeekDayLabels(java.lang.Object labels)

### getWeekDayLabelsShort

    public abstract java.lang.Object getWeekDayLabelsShort()

### setWeekDayLabelsShort

    public abstract void setWeekDayLabelsShort(java.lang.Object labels)

### getJointPoint

    public abstract java.lang.String getJointPoint()

### setJointPoint

    public abstract void setJointPoint(java.lang.String jointPoint)

### getDirection

    public abstract java.lang.String getDirection()

### setDirection

    public abstract void setDirection(java.lang.String direction)

### isPopup

    public abstract boolean isPopup()

### setPopup

    public abstract void setPopup(boolean popup)

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

### getButtonLabel

    public abstract java.lang.String getButtonLabel()

### setButtonLabel

    public abstract void setButtonLabel(java.lang.String buttonLabel)

### getToolTipMode

    public abstract java.lang.String getToolTipMode()

### setToolTipMode

    public abstract void setToolTipMode(java.lang.String toolTipMode)

### getBoundaryDatesMode

    public abstract java.lang.String getBoundaryDatesMode()

### setBoundaryDatesMode

    public abstract void setBoundaryDatesMode(java.lang.String boundaryDatesMode)

### getCurrentDateChangeListener

    public abstract javax.el.MethodExpression getCurrentDateChangeListener()

### setCurrentDateChangeListener

    public abstract void setCurrentDateChangeListener(javax.el.MethodExpression scrollerListener)

### getMode

    public abstract java.lang.String getMode()

### setMode

    public abstract void setMode(java.lang.String mode)

### getVerticalOffset

    public abstract int getVerticalOffset()

### setVerticalOffset

    public abstract void setVerticalOffset(int verticalOffset)

### getHorizontalOffset

    public abstract int getHorizontalOffset()

### setHorizontalOffset

    public abstract void setHorizontalOffset(int horizontalOffset)

### getDayStyleClass

    public abstract java.lang.String getDayStyleClass()

### setDayStyleClass

    public abstract void setDayStyleClass(java.lang.String DayStyleClass)

### getIsDayEnabled

    public abstract java.lang.String getIsDayEnabled()

### setIsDayEnabled

    public abstract void setIsDayEnabled(java.lang.String isDayEnabled)

### getCellHeight

    public abstract java.lang.String getCellHeight()

### setCellHeight

    public abstract void setCellHeight(java.lang.String cellHeight)

### getCellWidth

    public abstract java.lang.String getCellWidth()

### setCellWidth

    public abstract void setCellWidth(java.lang.String cellWidth)

### isShowWeekDaysBar

    public abstract boolean isShowWeekDaysBar()

### setShowWeekDaysBar

    public abstract void setShowWeekDaysBar(boolean showWeekDaysBar)

### isShowWeeksBar

    public abstract boolean isShowWeeksBar()

### setShowWeeksBar

    public abstract void setShowWeeksBar(boolean showWeeksBar)

### isShowHeader

    public abstract boolean isShowHeader()

### setShowHeader

    public abstract void setShowHeader(boolean showScrollerBar)

### isShowFooter

    public abstract boolean isShowFooter()

### setShowFooter

    public abstract void setShowFooter(boolean showScrollerBar)

### getTodayControlMode

    public abstract java.lang.String getTodayControlMode()

### setTodayControlMode

    public abstract void setTodayControlMode(java.lang.String todayControlMode)

### isShowApplyButton

    public abstract boolean isShowApplyButton()

### setShowApplyButton

    public abstract void setShowApplyButton(boolean showApplyButton)

### getTabIndex

    public abstract java.lang.String getTabIndex()

### setTabIndex

    public abstract void setTabIndex(java.lang.String tabIndex)

### getCalendar

    public java.util.Calendar getCalendar()

### getConvertedValue

    public java.util.Date getConvertedValue(javax.faces.context.FacesContext context,
                                            java.lang.String currentDateString)
                                     throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

### getDefaultValueOfDefaultTime

    protected java.lang.Object getDefaultValueOfDefaultTime()

  Returns default value of "defaultTime" attribute

  Returns:
    default value of "defaultTime" attribute

### getFormattedDefaultTime

    public java.util.Date getFormattedDefaultTime()

  Returns default time as a `Date` value. Hours and minutes values should be taken from the returned date.

  Returns:
    default time as a `Date` value

### getPreparedDefaultTime

    public java.lang.String getPreparedDefaultTime()

  Returns hours and minutes from "defaultTime" attribute as a String with special format: hours:"value_hours",minutes:"value_minutes"

  Returns:
    hours and minutes from "defaultTime" attribute

### updateCurrentDate

    public void updateCurrentDate(javax.faces.context.FacesContext context,
                                  java.lang.Object currentDate)

### getCurrentDateOrDefault

    public java.util.Date getCurrentDateOrDefault()

### getAsDate

    public java.util.Date getAsDate(java.lang.Object date)

### getTooltip

    public java.lang.Object getTooltip(java.util.Date date)

### getDefaultPreloadBegin

    protected java.util.Date getDefaultPreloadBegin(java.util.Date date)

### getDefaultPreloadEnd

    protected java.util.Date getDefaultPreloadEnd(java.util.Date date)

### getDefaultLocale

    protected java.util.Locale getDefaultLocale()

### getDefaultTimeZone

    protected java.util.TimeZone getDefaultTimeZone()

### convertCurrentDate

    public java.util.Date convertCurrentDate(java.lang.String currentDateString)

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Overrides:
    `broadcast` in class `javax.faces.component.UIComponentBase`
  Throws:
    `javax.faces.event.AbortProcessingException`

### getPreload

    public java.lang.Object getPreload()

### getPreloadDateRange

    public java.util.Date[] getPreloadDateRange()

### addCurrentDateChangeListener

    public void addCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)

### getCurrentDateChangeListeners

    public org.richfaces.event.CurrentDateChangeListener[] getCurrentDateChangeListeners()

### removeCurrentDateChangeListener

    public void removeCurrentDateChangeListener(org.richfaces.event.CurrentDateChangeListener listener)

### parseLocale

    public java.util.Locale parseLocale(java.lang.String localeStr)

  Parse Locale from String. String must be represented as Locale.toString(); xx_XX_XXXX

### getAsLocale

    public java.util.Locale getAsLocale(java.lang.Object locale)

### getDefaultFirstWeekDay

    protected int getDefaultFirstWeekDay()

### getDefaultMinDaysInFirstWeek

    protected int getDefaultMinDaysInFirstWeek()

### setMinDaysInFirstWeek

    public void setMinDaysInFirstWeek(int __minDaysInFirstWeek)

  Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1. If the minimal days required must be a full week, this method returns 7. Setter for minDaysInFirstWeek

  Parameters:
    `minDaysInFirstWeek` - - new value

### getMinDaysInFirstWeek

    public int getMinDaysInFirstWeek()

  Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1. If the minimal days required must be a full week, this method returns 7. Getter for minDaysInFirstWeek

  Returns:
    minDaysInFirstWeek value from local variable or value bindings

### setFirstWeekDay

    public void setFirstWeekDay(int __firstWeekDay)

  Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France. Setter for firstWeekDay

  Parameters:
    `firstWeekDay` - - new value

### getFirstWeekDay

    public int getFirstWeekDay()

  Gets what the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France. Getter for firstWeekDay

  Returns:
    firstWeekDay value from local variable or value bindings

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.